From 03d5fb347308f88c6f8451210c9b8ccabc6b922f Mon Sep 17 00:00:00 2001
From: Aviv Keller <38299977+RedYetiDev@users.noreply.github.com>
Date: Thu, 29 Feb 2024 22:12:11 +0000
Subject: assign url_for_main to a variable

---
 templates/default/fulldoc/html/frames.erb | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

diff --git a/templates/default/fulldoc/html/frames.erb b/templates/default/fulldoc/html/frames.erb
index 1fac6517..dd69e262 100644
--- a/templates/default/fulldoc/html/frames.erb
+++ b/templates/default/fulldoc/html/frames.erb
@@ -5,13 +5,14 @@
 	<title><%= options.title %></title>
 </head>
 <script type="text/javascript" charset="utf-8">
+var mainUrl = '<%= url_for_main %>'
 try {
     var match = decodeURIComponent(window.location.hash).match(/^#!(.+)/);
-    var name = match ? match[1] : '<%= url_for_main %>';
+    var name = match ? match[1] : mainUrl;
     var url = new URL(name, location.href);
-    window.top.location.replace(url.origin === location.origin ? name : '<%= url_for_main %>');
+    window.top.location.replace(url.origin === location.origin ? name : mainUrl);
 } catch (e) {
-    window.top.location.replace('<%= url_for_main %>');
+    window.top.location.replace(mainUrl);
 }
 </script>
 <noscript>
-- 
2.30.2

